/**********************************************************************
**********************************************************************/

#include "freqchangeapplet.h"
#include "freqchangeappletimpl.h"

#include <stdio.h>

FreqChangeAppletImpl::FreqChangeAppletImpl()
    : freqchange(0), ref(0)
{
    printf("FreqChangeAppletImpl::FreqChangeAppletImpl()\n");
}

FreqChangeAppletImpl::~FreqChangeAppletImpl()
{
    delete freqchange;
}

QWidget *FreqChangeAppletImpl::applet( QWidget *parent )
{
    printf("FreqChangeAppletImpl::applet()\n");
    if ( !freqchange )
	freqchange = new FreqChangeApplet( parent );
    return freqchange;
}

int FreqChangeAppletImpl::position() const
{
    printf("FreqChangeAppletImpl::position()\n");
    return 8;
}

QRESULT FreqChangeAppletImpl::queryInterface( const QUuid &uuid, QUnknownInterface **iface )
{
    printf("FreqChangeAppletImpl::queryInterface()\n");
    *iface = 0;
    if ( uuid == IID_QUnknown )
	*iface = this;
    else if ( uuid == IID_TaskbarApplet )
	*iface = this;
    else
	return QS_FALSE;

    (*iface)->addRef();
    return QS_OK;
}

Q_EXPORT_INTERFACE()
{
    Q_CREATE_INSTANCE( FreqChangeAppletImpl )
}


